"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _bytestreamjs = require("bytestreamjs");

//**************************************************************************************
class BaseClass {
	//**********************************************************************************
	constructor() {}
	//**********************************************************************************
	/**
  * Convert current object to SeqStream data
  * @param {!SeqStream} stream
  * @returns {boolean} Result of the function
  */
	toStream(stream) {
		return true;
	}
	//**********************************************************************************
	/**
  * Converts current class into SeqStream and then return ArrayBuffer from the stream
  * @return {ArrayBuffer}
  */
	get buffer() {
		const stream = new _bytestreamjs.SeqStream();

		this.toStream(stream);

		return stream.buffer;
	}
	//**********************************************************************************
}
exports.default = BaseClass; //**************************************************************************************
//# sourceMappingURL=BaseClass.js.map